Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1373743 - [RFE]: AFR events
Summary: [RFE]: AFR events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On: 1371485
Blocks: 1361082
TreeView+ depends on / blocked
 
Reported: 2016-09-07 06:14 UTC by Ravishankar N
Modified: 2016-12-06 06:00 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1371485
Environment:
Last Closed: 2016-12-06 06:00:05 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ravishankar N 2016-09-07 06:14:27 UTC
+++ This bug was initially created as a clone of Bug #1371485 +++

Description of problem:
This RFE is to track the changes required in the AFR component to generate the events to be consumed by the eventing framework.

--- Additional comment from Worker Ant on 2016-08-30 06:13:44 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

--- Additional comment from Worker Ant on 2016-09-01 07:52:24 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#2) for review on master by Ravishankar N (ravishankar@redhat.com)

--- Additional comment from Worker Ant on 2016-09-01 08:28:12 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#3) for review on master by Ravishankar N (ravishankar@redhat.com)

--- Additional comment from Worker Ant on 2016-09-03 09:23:54 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#4) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Worker Ant on 2016-09-06 16:21:11 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-09-06 16:28:51 EDT ---

REVIEW: http://review.gluster.org/15349 (afr: add replication events) posted (#6) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-09-07 02:05:41 EDT ---

COMMIT: http://review.gluster.org/15349 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 86e312d872a957afff1e508f13f62c4102dba22d
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Thu Sep 1 13:01:22 2016 +0530

    afr: add replication events
    
    Added the following events for the eventing framework:
    
      "EVENT_AFR_QUORUM_MET", --> Sent when quorum is met.
      "EVENT_AFR_QUORUM_FAIL" -->Sent when quorum is lost.
      "EVENT_AFR_SUBVOL_UP" -->Sent when afr witnesses the first up subvolume.
      "EVENT_AFR_SUBVOLS_DOWN"-->Sent when all children of an afr subvol are down.
      "EVENT_AFR_SPLIT_BRAIN" -->Sent when self-heal detects split-brain in heal
    path (not read/write path).
    
    Change-Id: I937c61ca1ce78b5922ade73c7bfa3051df59c513
    BUG: 1371485
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: http://review.gluster.org/15349
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 1 Worker Ant 2016-09-07 06:21:06 UTC
REVIEW: http://review.gluster.org/15417 (afr: add replication events) posted (#1) for review on release-3.9 by Ravishankar N (ravishankar@redhat.com)

Comment 2 Worker Ant 2016-09-07 19:08:45 UTC
COMMIT: http://review.gluster.org/15417 committed in release-3.9 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 73b4ecd5247ecdb94382c11a1611ea39d19e9b83
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Thu Sep 1 13:01:22 2016 +0530

    afr: add replication events
    
    Added the following events for the eventing framework:
    
      "EVENT_AFR_QUORUM_MET", --> Sent when quorum is met.
      "EVENT_AFR_QUORUM_FAIL" -->Sent when quorum is lost.
      "EVENT_AFR_SUBVOL_UP" -->Sent when afr witnesses the first up subvolume.
      "EVENT_AFR_SUBVOLS_DOWN"-->Sent when all children of an afr subvol are down.
      "EVENT_AFR_SPLIT_BRAIN" -->Sent when self-heal detects split-brain in heal
    path (not read/write path).
    
    Change-Id: I937c61ca1ce78b5922ade73c7bfa3051df59c513
    BUG: 1373743
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    > Reviewed-on: http://review.gluster.org/15349
    > Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    > Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    (cherry picked from commit 86e312d872a957afff1e508f13f62c4102dba22d)
    Reviewed-on: http://review.gluster.org/15417
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:22:45 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:00:05 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.